%global gem_name gettext_i18n_rails

%global rubyabi 1.9.1

Summary: Simple FastGettext Rails integration
Name: rubygem-%{gem_name}
Version: 0.4.0
Release: 2%{?dist}
Group: Development/Languages
# The previously bundled rubygem-gettext_extractor was "retired" and the file
# in this package is now the official upstream: https://github.com/retoo/ruby_gettext_extractor/issues/4
# Also, the license is now only Public Domain, because the official upstream is here and
# the ruby_gettext_extractor.rb file no longer contains additional licensing information.
License: Public Domain
URL: http://github.com/grosser/gettext_i18n_rails
Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
Requires: ruby(abi) = %{rubyabi}
Requires: ruby(rubygems) 
Requires: rubygem(fast_gettext)
Requires: rubygem(rails)
BuildRequires: rubygems-devel
BuildRequires: rubygem(fast_gettext)
BuildRequires: rubygem(rspec-core)
# Tests don't test everything, so BR: rubygem(rails) is not needed, these are enough
BuildRequires: rubygem(actionpack)
BuildRequires: rubygem(activesupport)
BuildRequires: rubygem(activerecord)
BuildRequires: rubygem(actionmailer)
BuildRequires: rubygem(sqlite3)
BuildArch: noarch
Provides: rubygem(%{gem_name}) = %{version}

%description
Translate via FastGettext, use any other I18n backend as extension/fallback.

%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}


%prep
%setup -q -c -T
mkdir -p .%{gem_dir}
gem install --local --install-dir .%{gem_dir} \
            --force %{SOURCE0}

%build

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


%check
pushd .%{gem_instdir}
rspec spec/
popd

%files
%dir %{gem_instdir}
%{gem_libdir}
%{gem_instdir}/VERSION
%exclude %{gem_cache}
%{gem_spec}
%doc %{gem_instdir}/Readme.md

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Rakefile
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%{gem_instdir}/init.rb
%{gem_instdir}/spec
%{gem_instdir}/gettext_i18n_rails.gemspec

%changelog
* Thu Feb 02 2012 Bohuslav Kabrda <bkabrda@redhat.com> - 0.4.0-2
- Rebuilt for Ruby 1.9.3.

* Wed Jan 04 2012 Bohuslav Kabrda <bkabrda@redhat.com> - 0.4.0-1
- New version.
- Modified Requires and BuildRequires according to new version.

* Mon Jan 02 2012 Bohuslav Kabrda <bkabrda@redhat.com> - 0.3.6-1
- Update to the latest version.
- Changed license to Public Domain only.
- Moved init.rb to doc subpackage, as it is not needed for runtime.
- Fixed dependencies according to the gemspec in this version.

* Wed Oct 26 2011 Bohuslav Kabrda <bkabrda@redhat.com> - 0.3.0-1
- Upgraded to the latest version.
- Removed the patch that fixed failing tests (fixed in new version).
- Clarified the license.
- Moved Readme.md to the main package, as it contains licensing information.
- Moved VERSION to the main package and unmarked it as a doc, as it's needed for runtime.

* Wed Sep 14 2011 Bohuslav Kabrda <bkabrda@redhat.com> - 0.2.20-1
- Initial package
